from metadata.sdk import configurefrom metadata.sdk.entities import APICollectionsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDac = APICollections.retrieve("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")print(f"{ac.fullyQualifiedName.root}: {ac.name.root}")# Get by ID with fieldsac = APICollections.retrieve( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", fields=["owners", "tags"])# Get by fully qualified nameac = APICollections.retrieve_by_name("sample_api_service.pet")# Get by name with fieldsac = APICollections.retrieve_by_name( "sample_api_service.pet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APICollection;// client is an initialized OpenMetadataClient.// Get by IDAPICollection ac = client.apiCollections().get("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");// Get by ID with fieldsAPICollection acWithFields = client.apiCollections().get( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", "owners,tags");// Get by fully qualified nameAPICollection acByName = client.apiCollections().getByName( "sample_api_service.pet");// Get by name with fieldsAPICollection acByNameWithFields = client.apiCollections().getByName( "sample_api_service.pet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Retrieve an API collection entity by UUID or fully qualified name with optional field expansion for endpoints, owners, tags, and metadata using the Collate REST API.
GET
/
v1
/
apiCollections
/
{id}
GET /v1/apiCollections/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import APICollectionsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDac = APICollections.retrieve("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")print(f"{ac.fullyQualifiedName.root}: {ac.name.root}")# Get by ID with fieldsac = APICollections.retrieve( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", fields=["owners", "tags"])# Get by fully qualified nameac = APICollections.retrieve_by_name("sample_api_service.pet")# Get by name with fieldsac = APICollections.retrieve_by_name( "sample_api_service.pet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APICollection;// client is an initialized OpenMetadataClient.// Get by IDAPICollection ac = client.apiCollections().get("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");// Get by ID with fieldsAPICollection acWithFields = client.apiCollections().get( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", "owners,tags");// Get by fully qualified nameAPICollection acByName = client.apiCollections().getByName( "sample_api_service.pet");// Get by name with fieldsAPICollection acByNameWithFields = client.apiCollections().getByName( "sample_api_service.pet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Get a single API collection by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the API collection to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,extension,domains,sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/apiCollections/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the API collection, for example sample_api_service.pet.
string
Comma-separated list of fields to include: owners, tags, extension, domains, sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/apiCollections/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import APICollectionsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDac = APICollections.retrieve("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")print(f"{ac.fullyQualifiedName.root}: {ac.name.root}")# Get by ID with fieldsac = APICollections.retrieve( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", fields=["owners", "tags"])# Get by fully qualified nameac = APICollections.retrieve_by_name("sample_api_service.pet")# Get by name with fieldsac = APICollections.retrieve_by_name( "sample_api_service.pet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APICollection;// client is an initialized OpenMetadataClient.// Get by IDAPICollection ac = client.apiCollections().get("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");// Get by ID with fieldsAPICollection acWithFields = client.apiCollections().get( "0f7ee81c-8163-4097-8adb-45c3d6c7b14b", "owners,tags");// Get by fully qualified nameAPICollection acByName = client.apiCollections().getByName( "sample_api_service.pet");// Get by name with fieldsAPICollection acByNameWithFields = client.apiCollections().getByName( "sample_api_service.pet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiCollections/name/sample_api_service.pet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"